# FILE: bug83.tcl
#
#	Patches for Tcl 8.3
#
# Last modified on: $Date: 2000/12/15 23:06:54 $
# Last modified by: $Author: dgp $
#
# This file contains Tcl code which when sourced in a Tcl 8.3 interpreter
# will patch bugs in Tcl 8.3 fixed in later versions of Tcl.  It is not
# meant to be complete.  Bugs are patched here only as we discover the need
# to do so in writing other OOMMF software.

# Before Tcl 8.4, [expr rand()] can return an out of range result
# the first time it is called on a 64-bit platform.  Workaround that
# problem by always calling it and discarding the possibly bad result
# here before good results are expected.  Use [catch] to cover Tcl 7
# where rand() did not yet exist.
catch {expr {rand()}}

# Tcl 8.3 is the current stable version.
# Continue on to the generic patches.
source [file join [file dirname [info script]] bug.tcl]

